[med-svn] [libvcflib] 02/02: Raw packaging template
Andreas Tille
tille at debian.org
Sun Feb 1 10:55:23 UTC 2015
This is an automated email from the git hooks/post-receive script.
tille pushed a commit to branch master
in repository libvcflib.
commit c80f32c87618b0e8daefeda8f740d82ef827d5e5
Author: Andreas Tille <tille at debian.org>
Date: Sun Feb 1 11:54:46 2015 +0100
Raw packaging template
---
debian/changelog | 5 +++++
debian/compat | 1 +
debian/control | 16 +++++++++++++++
debian/copyright | 11 +++++++++++
debian/createmanpages | 16 +++++++++++++++
debian/get-orig-source | 45 +++++++++++++++++++++++++++++++++++++++++++
debian/inject-into-alioth-git | 18 +++++++++++++++++
debian/rules | 23 ++++++++++++++++++++++
debian/source/format | 1 +
debian/upstream/metadata | 12 ++++++++++++
debian/watch | 15 +++++++++++++++
11 files changed, 163 insertions(+)
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..595314b
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+libvcflib (0.0.20141212-1) UNRELEASED; urgency=low
+
+ * Initial release (Closes: #<bug>)
+
+ -- DMPT <debian-med-packaging at lists.alioth.debian.org> Thu, 24 May 2012 14:30:13 +0200
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..83b10f1
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,16 @@
+Source: libvcflib
+Section: science
+Priority: optional
+Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille at debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libvcflib.git
+Vcs-Git: git://anonscm.debian.org/debian-med/libvcflib.git
+Homepage: <homepage>
+
+Package: libvcflib
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: <short_description>
+ <long_description>
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..c76e73d
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,11 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: <pkg>
+Source: <path_to_download>
+
+Files: *
+Copyright: © 20xx-20yy <upstream>
+License: <license>
+
+Files: debian/*
+Copyright: © 2014 maintainername <maintainer at e.mail>
+License: <license>
diff --git a/debian/createmanpages b/debian/createmanpages
new file mode 100755
index 0000000..febcd91
--- /dev/null
+++ b/debian/createmanpages
@@ -0,0 +1,16 @@
+#!/bin/sh
+MANDIR=debian
+mkdir -p $MANDIR
+
+VERSION=`dpkg-parsechangelog | awk '/^Version:/ {print $2}' | sed -e 's/^[0-9]*://' -e 's/-.*//' -e 's/[+~]dfsg$//'`
+
+help2man --no-info --no-discard-stderr --help-option=" " \
+ --name='<optional description of the program>' \
+ --version-string="$VERSION" <programname> > $MANDIR/<programname>.1
+
+cat <<EOT
+Please enhance the help2man output.
+The following web page might be helpful in doing so:
+ http://liw.fi/manpages/
+EOT
+
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..e486809
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,45 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+# http://www.debian.org/doc/debian-policy/ch-source.html
+# "get-orig-source (optional)"
+# This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+# source directory featuring the debian/ dir
+
+COMPRESS=xz
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+ VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+ uscan --force-download
+else
+ VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+ if echo "$VERSION" | grep -q "upstream-version" ; then
+ echo "Unable to parse version number"
+ exit
+ fi
+fi
+
+TARDIR=${NAME}-${VERSION}
+mkdir -p ../tarballs
+cd ../tarballs
+# need to clean up the tarballs dir first because upstream tarball might
+# contain a directory with unpredictable name
+rm -rf *
+tar -xaf ../${TARDIR}.tar.gz
+
+UPSTREAMTARDIR=`find . -mindepth 1 -maxdepth 1 -type d`
+if [ "${UPSTREAMTARDIR}" != "${TARDIR}" ] ; then
+ mv "${UPSTREAMTARDIR}" "${TARDIR}"
+fi
+
+# Remove useless binaries
+# ... do something which needs to be done ...
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}
diff --git a/debian/inject-into-alioth-git b/debian/inject-into-alioth-git
new file mode 100755
index 0000000..02c2222
--- /dev/null
+++ b/debian/inject-into-alioth-git
@@ -0,0 +1,18 @@
+#!/bin/sh -e
+
+echo "Please verify whether this script is obsoleted by gbp-create-remote-repo !"
+
+# This script implements the "Git tips" given here
+# http://debian-med.alioth.debian.org/docs/policy.html#git-tips
+# Use it with caution since it is less testet
+
+DEBPKGNAME=`dpkg-parsechangelog | awk '/^Source:/ {print $2}'`
+SHORTDESC=`grep "^Description: " debian/control | head -n 1 | sed 's/^Description: //'`
+VCSGIT=`grep "^Vcs-Git: " debian/control | sed -e 's/^Vcs-Git: //' -e 's#git://anonscm.debian.org/#ssh://git.debian.org/git/#'`
+DIRatALIOTH=`echo $VCSGIT | sed -e 's#ssh://git.debian.org/git/#/git/#' -e 's#/[^/]\+\.git##'`
+
+ssh git.debian.org "cd $DIRatALIOTH; ./setup-repository $DEBPKGNAME '$SHORTDESC'"
+git remote add origin $VCSGIT
+git push origin master
+git push --all --set-upstream
+git push --tags
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..58ec00b
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,23 @@
+#!/usr/bin/make -f
+
+# DH_VERBOSE := 1
+
+# some helpful variables - uncomment them if needed
+# shamelessly stolen from http://jmtd.net/log/awk/
+#DEBVERS := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+#VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+#DEBFLAVOR := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
+#DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+#DEBIAN_BRANCH := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
+#GIT_TAG := $(subst ~,_,$(VERSION))
+
+# alternatively to manually set those variables you can
+# include /usr/share/cdbs/1/rules/buildvars.mk
+# and use what is set there. Any hint whether dh might set variables in
+# a similar manner are welcome.
+
+%:
+ dh $@
+
+#get-orig-source:
+# . debian/get-orig-source
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
new file mode 100644
index 0000000..d8b5812
--- /dev/null
+++ b/debian/upstream/metadata
@@ -0,0 +1,12 @@
+Reference:
+ Author:
+ Title:
+ Journal:
+ Year:
+ Volume:
+ Number:
+ Pages:
+ DOI:
+ PMID:
+ URL:
+ eprint:
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..0114e66
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,15 @@
+version=3
+
+# - when using releases:
+# https://github.com/#GITHUBUSER#/#PACKAGE#/releases .*/archive/#PREFIX#(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
+# - when using tags
+# https://github.com/#GITHUBUSER#/#PACKAGE#/tags .*/#PREFIX#(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
+# Remark: frequently you can do s/#PREFIX#/v?/ since 'v' or nothing is quite common but there are other prefixes possible
+
+# if tweaking of source is needed
+# \
+# debian debian/get-orig-source
+
+# if you need to repack and choose +dfsg prefix
+# opts=dversionmangle=s/[~\+]dfsg[0-9]*// \
+#
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/libvcflib.git
More information about the debian-med-commit
mailing list